#

API Docs for: 2.0.0
Show: Inherited Protected Private Deprecated

# Event Class

Extends Object
Defined in: `src/pixi/utils/EventTarget.js:192`
Module: PIXI

Creates an homogenous object for tracking events so users can know what to expect.

## Constructor

### `Event`

(

- `target`
- `name`
- `data`

)

Defined in `src/pixi/utils/EventTarget.js:192`

#### Parameters:

- `target` Object

  The target object that the event is called on

- `name` String

  The string name of the event that was triggered

- `data` Object

  Arbitrary event data to pass along

- Index
- Methods
- Properties

## Item Index

### Methods

- stopImmediatePropagation
- stopPropagation

### Properties

- data
- stopped
- stoppedImmediate
- target
- timeStamp
- type

## Methods

### `stopImmediatePropagation`

()

Defined in `src/pixi/utils/EventTarget.js:277`

Stops the propagation of events to sibling listeners (no longer calls any listeners).

### `stopPropagation`

()

Defined in `src/pixi/utils/EventTarget.js:268`

Stops the propagation of events up the scene graph (prevents bubbling).

## Properties

### `data`

Object

Defined in `src/pixi/utils/EventTarget.js:246`

The data that was passed in with this event.

### `stopped`

Boolean private

Defined in `src/pixi/utils/EventTarget.js:206`

Tracks the state of bubbling propagation. Do not set this directly, instead use `event.stopPropagation()`

### `stoppedImmediate`

Boolean private

Defined in `src/pixi/utils/EventTarget.js:217`

Tracks the state of sibling listener propagation. Do not set this directly, instead use `event.stopImmediatePropagation()`

### `target`

Object

Defined in `src/pixi/utils/EventTarget.js:228`

The original target the event triggered on.

### `timeStamp`

Number

Defined in `src/pixi/utils/EventTarget.js:258`

The timestamp when the event occurred.

### `type`

String

Defined in `src/pixi/utils/EventTarget.js:237`

The string name of the event that this represents.